@import 'reset.css';
@import url(https://fonts.googleapis.com/css?family=Poppins:regular,700);

:root {
    --body-color: #22254e;
    --focus-color: #15162f;
    --text-color: #fff8dc;
    --border-color: #fff8dc4b;
    --font-family: 'Poppins', sans-serif;
    --conic-gradient-green: rgb(0, 128, 0);
    --conic-gradient-yellow: rgb(255, 255, 0);
    --conic-gradient-red: rgb(255, 0, 0);
}

* {
    transition: all 0.4s;
}

[data-green="green"] {
    color: var(--conic-gradient-green);
}

[data-yellow="yellow"] {
    color: var(--conic-gradient-yellow);
}

[data-red="red"] {
    color: var(--conic-gradient-red);
}

[data-conic-green="green"] {
    background: conic-gradient(var(--conic-gradient-green) 216deg, rgb(183, 186, 205) 0deg);
}

[data-conic-yellow="yellow"] {
    background: conic-gradient(var(--conic-gradient-yellow) 216deg, rgb(183, 186, 205) 0deg);
}

[data-conic-red="red"] {
    background: conic-gradient(var(--conic-gradient-red) 216deg, rgb(183, 186, 205) 0deg);
}

body {
    background: var(--body-color);
    color: var(--text-color);
    font-family: var(--font-family);
}

/* header */

#header {
    position: sticky;
    z-index: 5;
    top: 30px;
    left: 20px;
    height: 70px;

    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-right: 20px;
    margin-left: 20px;
}

.scroll-top {
    position: fixed;
    z-index: 20;
    bottom: 30px;
    right: 30px;
}

.home-page,
.guest-session-page {
    position: absolute;
    top: 0;
    right: 0;
}

.scroll-top,
.home-page,
.guest-session-page {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.374);
    cursor: pointer;
}

.guest-session-page {
    right: 80px;
    color: #fff;
}

.scroll-top > i,
.home-page > i {
    color: var(--text-color)
}

::placeholder {
    color: var(--text-color);
}

.search {
    font-family: var(--font-family);
    font-size: 20px;
    background: rgba(255, 255, 255, 0.227);
    color: var(--text-color);
    width: 200px;
    height: 20px;
    border: 1px solid var(--border-color);
    border-radius: 20px;
    padding: 10px 20px;
}

.search:focus {
    background: var(--focus-color);
}

/* main */

.main {
    width: 100%;
}

.new-films img {
    object-fit: contain;
    width: 100%;
    height: 100vh
}

.popular-films img,
.top-week-films img {
    width: 100%;
}

/* hero-swiper */

.new-films,
.popular-films,
.top-week-films {
    overflow: hidden;
}

.new-films {
    position: relative;
    top: -70px;
}

.new-films::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background: no-repeat url('../images/hero-background/star-wars-eclispe.jpg');
    background-size: cover;
}

.new-films-item {
    display: flex;
    justify-content: center;

}

.new-films-item > div {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: max-content;
    background: linear-gradient(0deg, rgba(2, 0, 36, 1) 0%, rgba(0, 0, 0, 0.5662640056022409) 55%, rgba(255, 255, 255, 0) 100%);

}

.new-films-item h2 {
    position: absolute;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    width: 100%;
    left: 0;
    bottom: 0;
    height: 20%;
    font-size: 40px;
}

.new-film-overview {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    padding: 10px 20px;
    background: var(--body-color);
    opacity: 0;
    color: var(--text-color);
    transform: translateY(101%);
    transition: all 0.3s;
}

.popular-film-overview,
.looking-film-overview {
    display: flex;
    justify-content: center;
    align-items: center;
}

.new-film-overview h4 {
    font-size: 30px;
    font-weight: 700;
}

.new-film-overview p {
    font-size: 22px;
    font-weight: 400;
    line-height: 1.7;
    text-align: justify;
}

.new-films-item > div:hover .new-film-overview {
    transform: translateY(0);
    opacity: 0.8;
}

.new-film-rating {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 20px;
    right: 20px;
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

.new-film-rating-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 26px;
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background: var(--body-color);
}

.show-trailer {
    display: block;
    padding: 10px 20px;
    background-color: rgb(18, 11, 101);
    transition: background 0.4s;
    cursor: pointer;
    border-radius: 15px;
}

.show-trailer:hover {
    background-color: rgb(5, 3, 25);
}

/*popular swiper*/

.popular-films-item {
    height: 45vh;
    background: var(--focus-color);
    border-radius: 10px;
    padding-bottom: 15px;
}

.popular-films-item > div,
.looking-films-item > div {
    position: relative;
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    align-items: center;
    height: 100%;
}

.popular-film-rating,
.looking-film-rating {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    right: 0;
    width: 40px;
    height: 40px;
    border-radius: 0 8px 0 10px;
    background: var(--focus-color);
    box-sizing: border-box;
}

.popular-films-item img {
    display: block;
    border-radius: 10px 10px 0 0;
}

.popular-film-overview,
.looking-film-overview {
    flex-grow: 1;
    margin-top: 15px;
    text-align: center;
}

#movies {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 20px;
    margin-bottom: 10px;
    border: 1px solid var(--focus-color);
    border-radius: 25px;
    width: 320px;
    height: 50px;

}

.selected-input {
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    border-radius: 25px;
    background-color: rgb(50, 50, 160);
    z-index: -1;
}

.popular,
.topWeek {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 100%;
}

/* looking movies */

.looking-movies {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.looking-movies-list {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    row-gap: 15px;
    column-gap: 10px;
    width: 100%;
    margin-top: 30px;
    margin-bottom: 30px;
}

.looking-films-item {
    width: 200px;
    background-color: var(--focus-color);
    border-radius: 10px;
}

.looking-films-item img {
    border-radius: 10px 10px 0 0;
    width: 100%;
}

.looking-film-overview h2 {
    text-align: center;
}

.show-more {
    width: 200px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--focus-color);
    border-radius: 10px;
    cursor: pointer;
    visibility: hidden;
}

.show-more:hover {
    background-color: #5d7c6141;
}

.show-more:active {
    transform: scale(0.9);
}

/* The Overlay */
.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
    overflow-x: hidden;
    transition: 0.5s;
}

.overlay-content {
    display: flex;
    justify-content: center;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    top: 10%;
    width: 70%;
    height: 75%;
    /* text-align: center; */
    margin-top: 30px;
    overflow: hidden;
}

.overlay-content-list,
.overlay-content-item,
iframe {
    width: 100%;
    height: 100%;
}

.overlay .closebtn {
    cursor: pointer;
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

.overlay .closebtn:hover,
.overlay .closebtn:focus {
    color: #f1f1f1;
}

.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

@media screen and (max-height: 450px) {
    .overlay .closebtn {
        font-size: 20px
    }

    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
}

@media screen and (max-width: 960px) {
    .popular-films {
        margin: 0 5px;
    }

    .guest-session-page,
    .home-page {
        top: 70px;
    }
}

/* star rating */

.star-rating {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
    margin-top: 50px;
}